<template>
  <v-container>
    <v-row dense>
      <v-col cols="12" md="6" v-for="lesson of lessons" :key="lesson.id">
        <lesson-list-item :lesson="lesson" />
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import LessonListItem from '@/components/lesson/LessonListItem.vue';
import { Lesson } from '@/domain/entity/lesson/Lesson';
import { Prop } from 'vue-property-decorator';

@Component({
  components: {
    LessonListItem
  }
})
export default class LessonList extends Vue {
  @Prop({
    required: false,
    default: () => [],
    type: Array
  })
  private readonly lessons!: Lesson[];
}
</script>

<style scoped></style>
